
Figure - Bug #117882
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】网易云音乐，在屏幕左侧切换mini至正常状态，顶部导航条消失
2023-05-11 17:04 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-11

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305150054

Reproducibility: Every time Fixed Version: 2023-05-14

Test Type: ST Root cause: 问题原因：��当窗口执行reszie时，Configuration偶尔不会触发回调，导致caption显示异常��问题处理：��在onlayout时检查mini状态，重新控制caption的显示

Description

【前提条件】

1、设备与中控连接

【测试步骤】

1、打开网易云音乐（屏幕左侧）

2、切换mini状态至正常状态

【预期结果】

2、小窗显示正常

【实际结果】

2、顶部导航条消失

History

#1 - 2023-05-11 19:15 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD FW王武军

#2 - 2023-05-13 15:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199908 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:MultiWindow: fix captionview hide and showAdd logic to enhance check task mini state to hide or showcaptionview.TC-RID: 1201-0204601IssueID:

TS-R-BUG-117882Change-Id: Ia44d75336efcfa5688edf2dea520b8ef6c7a539b

#3 - 2023-05-13 15:38 - CD FW王武军

- Assignee changed from CD FW王武军 to CD TEST-方永红

- % Done changed from 0 to 100
- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-14

- Root cause set to 问题原因：

当窗口执行reszie时，Configuration偶尔不会触发回调，导致caption显示异常

问题处理：

在onlayout时检查mini状态，重新控制caption的显示

【】当前状态

问题原因：

当窗口执行reszie时，Configuration偶尔不会触发回调，导致caption显示异常

问题处理：

在onlayout时检查mini状态，重新控制caption的显示

#4 - 2023-05-13 20:08 - CD FW 曹覃刚

- Status changed from New to RESOLVED

#5 - 2023-05-15 14:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305150054

5.15

验证通过

#6 - 2023-05-15 14:40 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-05-11 17-02-34.mp4 5.11 MB 2023-05-11 CD TEST-方永红
